> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qcall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Inbound

> Updates an existing inbound assistant identified by the supplied ID. You can rename the inbound assistant or re-bind it to a different assistant and/or dialer phone number.

Updates an existing inbound dialer identified by the supplied `id`.

You can rename the inbound, re-bind it to a different assistant and/or dialer phone number, or toggle the `notification` flag (`true`/`false`) to enable or disable notifications for incoming calls. Provide the full request body with the fields you want to keep or change.


## OpenAPI

````yaml PUT /inbound/update?id={id}
openapi: 3.0.1
info:
  title: QCall Ai API
  description: >-
    A sample API that uses a campaign store as an example to demonstrate
    features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.qcall.ai/api/v1
security:
  - apiKeyAuth: []
paths:
  /inbound/update?id={id}:
    put:
      summary: Update an inbound assistant
      description: >-
        Updates an existing inbound assistant identified by the supplied ID. You
        can rename the inbound assistant or re-bind it to a different assistant
        and/or dialer phone number.
      parameters:
        - name: id
          in: query
          required: true
          schema:
            type: string
          description: The ID of the inbound assistant to update
      requestBody:
        description: Inbound assistant fields to update
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateInbound'
        required: true
      responses:
        '200':
          description: Inbound assistant response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Inbound'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdateInbound:
      allOf:
        - $ref: '#/components/schemas/NewInbound'
        - type: object
    Inbound:
      required:
        - id
        - name
        - assistant_id
        - dialer_id
      type: object
      properties:
        id:
          description: Unique identifier of the inbound assistant
          type: string
        name:
          description: The display name of the inbound assistant
          type: string
        assistant_id:
          description: ID of the assistant that answers the inbound calls
          type: string
        assistant_name:
          description: Name of the linked assistant
          type: string
        dialer_id:
          description: ID of the dialer that provides the phone number
          type: string
        phone_number:
          description: Phone number the inbound assistant is attached to
          type: string
        incoming_count:
          description: Number of incoming calls handled by this inbound assistant
          type: integer
          format: int32
        notification:
          description: >-
            Whether notifications are enabled for incoming calls handled by this
            inbound assistant
          type: boolean
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    NewInbound:
      required:
        - name
        - assistant_id
        - dialer_id
      type: object
      properties:
        name:
          description: The name of the inbound assistant
          type: string
        assistant_id:
          description: >-
            ID of the assistant (or IVR assistant) that will handle the inbound
            calls
          type: string
        dialer_id:
          description: ID of the dialer whose phone number receives the inbound calls
          type: string
        notification:
          description: >-
            Whether to enable notifications for incoming calls handled by this
            inbound assistant
          type: boolean
          default: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````